Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.sprm
Class SprmUtils

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmUtils

    public final class SprmUtils

extends java.lang.Object

Constructor Summary
`SprmUtils()`

Method Summary
`static int` | `addSpecialSprm(short instruction, byte[] varParam, java.util.List list)`
`static int` | `addSprm(short instruction, boolean param, java.util.List list)`
`static int` | `addSprm(short instruction, int param, byte[] varParam, java.util.List list)`
`static int` | `convertBrcToInt(short[] brc)`
`static byte[]` | `getGrpprl(java.util.List sprmList, int size)`
`static byte[]` | `shortArrayToByteArray(short[] convert)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SprmUtils

    public SprmUtils()

Method Detail

### shortArrayToByteArray

    public static byte[] shortArrayToByteArray(short[] convert)

### addSpecialSprm

    public static int addSpecialSprm(short instruction,
                                     byte[] varParam,
                                     java.util.List list)

### addSprm

    public static int addSprm(short instruction,
                              boolean param,
                              java.util.List list)

### addSprm

    public static int addSprm(short instruction,
                              int param,
                              byte[] varParam,
                              java.util.List list)

### getGrpprl

    public static byte[] getGrpprl(java.util.List sprmList,
                                   int size)

### convertBrcToInt

    public static int convertBrcToInt(short[] brc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD